using Inspectron.Settings;
using Inspectron.Settings.Attributes;
using VisionBuilder.UI.Common.Processing;

namespace CandyboxPlugin.Module;

public class CandyboxRecognitionControlSettings : BaseRecognitionControlSettings
{

    [SettingDescription("Usefull to learn on good images")]
    public bool AlwaysError { get; set; }

    public CandyboxRecognitionControlSettings(string cameraName) : base(cameraName)
    {
    }

    public override void RegisterSettings(InspectronSettings settings)
    {
        base.RegisterSettings(settings);
        settings.RegisterSimple(this, () => AlwaysError, CameraName + "/" + "Recognition", nameof(AlwaysError));

    }
}